> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update instructor IAM permissions 

> Update an instructor IAM permissions using presets

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 30 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/update-instructor-iam-permissions
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/update-instructor-iam-permissions:
    post:
      tags:
        - User
      summary: 'Update instructor IAM permissions '
      description: >-
        Update an instructor IAM permissions using presets


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 30 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          instructorId:
                            type: string
                            minLength: 1
                            description: The instructor ID whose permissions to update
                          presets:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  enum:
                                    - single-course-access
                                    - all-courses-admin-no-delete
                                    - all-courses-admin
                                    - single-contest-access
                                    - single-contest-readonly
                                    - manage-all-contests
                                    - all-live-events-admin
                                    - video-library-access
                                    - coding-labs-access
                                    - billing-access
                                    - object-storage-access
                                    - developer-access
                                    - read-only-admin
                                    - community-access
                                    - super-admin
                                  description: The preset ID to update
                                resourceIds:
                                  type: array
                                  nullable: true
                                  items:
                                    type: string
                                    minLength: 1
                                  description: The resource IDs to update
                              required:
                                - id
                        required:
                          - instructorId
                          - presets
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties: {}
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````